﻿using JetBrains.Annotations;
using OpcLabs.BaseLib.Extensibility;

namespace OpcLabs.BaseLibFactory.Extensibility
{
    static public class PluginSetupCollectionInstances
    {
        [NotNull]
        static public PluginSetupCollection Instance0 => new PluginSetupCollection();

        [NotNull]
        static public PluginSetupCollection Instance1 => new PluginSetupCollection {PluginSetupInstances.Instance1};

        [NotNull]
        static public PluginSetupCollection Instance2 => new PluginSetupCollection
        {
            PluginSetupInstances.Instance1,
            PluginSetupInstances.Instance2,
            PluginSetupInstances.Instance0
        };
    }
}
