﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.AlarmsAndEvents.AddressSpace;

namespace OpcLabs.EasyOpcFactory.AlarmsAndEvents.AddressSpace
{
    static public class AENodeElementCollectionInstances
    {
        [NotNull]
        static public AENodeElementCollection Instance0 => new AENodeElementCollection();

        [NotNull]
        static public AENodeElementCollection Instance1
        {
            get
            {
                var nodeElementCollection = new AENodeElementCollection
                {
                    AENodeElementInstances.Instance0,
                    AENodeElementInstances.Instance1
                };

                return nodeElementCollection;
            }
        }
    }
}
