﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.Engine;

namespace OpcLabs.EasyOpcFactory.Engine
{
    static public class EasyEngineParametersInstances
    {
        [NotNull]
        static public EasyEngineParameters Instance0 => new EasyEngineParameters();

        [NotNull]
        static public EasyEngineParameters Instance1 => new EasyEngineParameters
        {
            AutoAdjustmentPeriod = 111,
            DefaultEventQueueSize = 222,
            GarbageCollectionPeriod = 333,
            WorkerSleepDelay = 444,
        };
    }
}
