﻿using JetBrains.Annotations;
using OpcLabs.BaseLibFactory.Network;
using OpcLabs.EasyOpc.Forms.Browsing;
using OpcLabs.EasyOpcFactory.AlarmsAndEvents.AddressSpace;
using OpcLabs.EasyOpcFactory.DataAccess.AddressSpace;

namespace OpcLabs.EasyOpcFactory.Forms.Browsing
{
    static public class OpcBrowseNodeElementInstances
    {
        [NotNull]
        static public OpcBrowseNodeElement Instance1 => new OpcBrowseNodeElement(
            ComputerElementInstances.Instance1,
            ServerElementInstances.Instance1,
            DANodeElementInstances.Instance1,
            DAPropertyElementInstances.Instance1,
            AECategoryElementInstances.Instance1,
            AEAttributeElementInstances.Instance1,
            AEConditionElementInstances.Instance1,
            AESubconditionElementInstances.Instance1,
            AENodeElementInstances.Instance1);
    }
}
