﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA.AddressSpace;
using OpcLabs.EasyOpc.UA.AddressSpace.Standard;
using OpcLabs.EasyOpc.UA.Navigation;

namespace OpcLabs.EasyOpcFactory.UA.AddressSpace
{
    static public class UABrowsePathElementInstances
    {
        [NotNull]
        static public UABrowsePathElement Instance0 => new UABrowsePathElement();

        [NotNull]
        static public UABrowsePathElement Instance1 => new UABrowsePathElement(UABrowsePathElementType.AnyComponent, targetName: new UAQualifiedName("uri1", "name1"));

        [NotNull]
        static public UABrowsePathElement Instance2 => new UABrowsePathElement(UABrowsePathElementType.ForwardReference,
            new UAQualifiedName("uri2", "name2"),
            UAReferenceTypeIds.GeneratesEvent, includeSubtypes: false);

        [NotNull]
        static public UABrowsePathElement Instance3 => new UABrowsePathElement(UABrowsePathElementType.InverseReference,
            new UAQualifiedName("uri3", "name3"),
            UAReferenceTypeIds.GeneratesEvent, includeSubtypes: true);
    }
}
