﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA.Connectivity;

namespace OpcLabs.EasyOpcFactory.UA.Connectivity
{
    static public class UAConnectivityInstances
    {
        [NotNull]
        static public UAConnectivity Instance0 => new UAConnectivity();

        [NotNull]
        static public UAConnectivity Instance1 => new UAConnectivity
        {
            Configuration = UAConnectivityConfigurationInstances.Instance1,
            CustomReference = "testCustomReference",
        };
    }
}
