﻿
using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA.InformationModel;

namespace OpcLabs.EasyOpcFactory.UA.Modelling
{
    static public class UAModelNodeDescriptorInstances
    {
        [NotNull]
        static public UAModelNodeDescriptor Instance1 => new UAModelNodeDescriptor(UAEndpointDescriptorInstances.Instance1, UANodeDescriptorInstances.Instance1);

        [NotNull]
        static public UAModelNodeDescriptor Instance2 => new UAModelNodeDescriptor(UAEndpointDescriptorInstances.Instance2, UANodeDescriptorInstances.Instance2);

        [NotNull]
        static public UAModelNodeDescriptor Instance3 => new UAModelNodeDescriptor(UAEndpointDescriptorInstances.Instance3, UANodeDescriptorInstances.Instance3);
    }
}
