﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA.Engine;

namespace OpcLabs.EasyOpcFactory.UA.Engine
{
    static public class UAClientAdaptableParametersInstances
    {
        [NotNull]
        static public UAClientAdaptableParameters Instance1 => new UAClientAdaptableParameters
        {
            DiscoveryParameters = UADiscoveryParametersInstances.Instance1,
            HostParameters = UAHostParametersInstances.Instance1,
            MonitoredItemParameters = UAClientMonitoredItemParametersInstances.Instance1,
            SessionParameters = UASmartSessionParametersInstances.Instance1,
            SubscriptionParameters = UAClientSubscriptionParametersInstances.Instance1,
        };
    }
}
