﻿
using System.Diagnostics.CodeAnalysis;
using System.Runtime.InteropServices;
using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA.OperationModel;

namespace OpcLabs.EasyOpcFactory.UA.OperationModel
{
    static public class UAWriteResultInstances
    {
        [NotNull]
        static public UAWriteResult Instance0 => new UAWriteResult();

        [NotNull]
        static public UAWriteResult Instance1 => new UAWriteResult("TestState1");

        [NotNull]
        static public UAWriteResult Instance2 => new UAWriteResult("TestState2")
        {
            Clamped = true,
        };

        [NotNull]
        static public UAWriteResult Instance3 => new UAWriteResult("TestState2")
        {
            Clamped = true,
            CompletesAsynchronously = true
        };

        [SuppressMessage("Microsoft.Design", "CA1065:DoNotRaiseExceptionsInUnexpectedLocations")]
        [NotNull]
        static public UAWriteResult Instance4 => new UAWriteResult(null, new COMException("TestMessage", 918273645), -8273645);

        [SuppressMessage("Microsoft.Design", "CA1065:DoNotRaiseExceptionsInUnexpectedLocations")]
        [NotNull]
        static public UAWriteResult Instance5 => new UAWriteResult(null, new COMException("TestMessage1", new COMException("TestMessage2")), -918273645);
    }
}
