﻿using System.Collections.Generic;
using JetBrains.Annotations;

namespace OpcLabs.EasyOpcLiveTest.Legacy.DataAccess
{
    static class DAServerCatalogEntries
    {
        [NotNull]
        static public IList<DAServerCatalogEntry> Real => new []
        {
            KitServerCatalogEntry.Create(location: ""),
            KitServerCatalogEntry.Create(location: "T-OPC"),
        };

        [NotNull]
        static public IList<DAServerCatalogEntry> Simulated => new []
        {
            SimulatedDAServerCatalogEntry.Create(location: "")
            // IMPROVE: have simulated XML-DA servers as well
        };
    }
}
